Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces
SingleInstanceLockFactory.h File Reference
`#include "LockFactory.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::SingleInstanceLockFactory
| Implements `LockFactory` for a single in-process instance, meaning all locking will take place through this one instance. Only use this `LockFactory` when you are certain all IndexReaders and IndexWriters for a given index are running against a single shared in-process Directory instance. This is currently the default locking for RAMDirectory. More...

## Namespaces

namespace | Lucene

clucene.sourceforge.net